Skip to main content
POST
/
automate_workflows
/
{workflow_id}
/
start
{
  "type": "error",
  "status": 400,
  "code": "item_name_invalid",
  "message": "Method Not Allowed",
  "context_info": {
    "message": "Something went wrong"
  },
  "help_url": "https://developer.box.com/guides/api-calls/permissions-and-errors/common-errors/",
  "request_id": "abcdef123456"
}
Learn more about Box SDK versioning strategy.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Headers

box-version
enum<string>
required

Version header.

Available options:
2026.0

Path Parameters

workflow_id
string
required

The ID of the workflow.

Body

application/json

Request body to start an Automate workflow.

workflow_action_id
string
required

The callable action ID used to trigger the selected workflow.

Example:

"981"

file_ids
string[]
required

The files to process with the selected workflow.

Minimum array length: 1
Example:
["123"]

Response

Starts the workflow.